Subject: Re: bug#79032: 30.1; Stylus (Wacom Pen) Support under Wayland

From: [email-masked]
Date: Sun, 10 Aug 2025 10:51:09 +0100

Po Lu <[email-masked]> wrote on Sat, 09 Aug 2025 21:07:02 +0800:

> Do you observe the same phenomenon in other GTK 3 programs?

No. I checked drawing (Python), firefox, gimp, inkscape, signal-desktop
(electron), thunderbird, ungoogled-chromium, and xournalpp. All link
/usr/lib/libgtk-3.so, run natively under Wayland, and behave as expected
(usually like the mouse; as its own input device in the GIMP).

My plan (no timeline) is to check the Emacs sources for how touch (Wacom
Finger) support is implemented, and follow similar lines to implement
Wacom Pen support to make it behave like the mouse. Sounds reasonable?